
package be.dc.aop.testing;

/** display directly, without double-dispatch */
public aspect DisplayElements {
    
    void around (Screen screen, Line line): target (screen) &&
        call (void display(GraphicalElement)) && args (line) {
        screen.display(line);
    }
    
    void around (Screen screen, Point point): target (screen) &&
        call (void display(GraphicalElement)) && args (point) {
        screen.display(point);
    }

}
