package be.dc.aop.testing;

/**
 * Insert class comments here.
 * 
 * @author ruvankeirsbilck
 * @since 9-jul-2003 (10:48:59)
 * @version 1.0
 */
public abstract aspect GraphicalElementDisplayDispatchingDefaultImplementation {
	pointcut display (Screen screen, GraphicalElement graphicalElement):
			target (screen) &&
			call (void display (GraphicalElement)) &&
			args (graphicalElement);
	after (Screen screen, GraphicalElement graphicalElement): display (screen, graphicalElement) {
	   this.displayOn (screen, graphicalElement);
	}

	private void displayOn (Screen screen, GraphicalElement graphicalElement) {
		((GraphicalElementDisplayDispatching) graphicalElement).displayOn (screen);
	}
}
