package be.dc.aop.testing;

/**
 * Insert class comments here.
 * 
 * @author ruvankeirsbilck
 * @since 8-jul-2003 (15:24:36)
 * @version 1.0
 */
public class Point implements GraphicalElement {
/* Methods for constructing new instances. */
	public Point (int x, int y) {
		super ();
		this.x = x;
		this.y = y;
	}

	public void displayOn2 (Screen screen) {
		screen.display (this);
	}

/* Methods for accessing. */
	public int getX () {return this.x;}
	public void setX (int x) {this.x = x;}
	
	public int getY () {return this.y;}
	public void setY (int y) {this.y = y;}

/* Methods for printing. */
	public String toString () {
		return "Point (" + this.x + ", " + this.y + ')';
	}

/* Keep out! */
/* Constants */
	/* None at this time. */
/* Class variables */
	/* None at this time. */
/* Instance variables */
	protected int x, y;
}
