package be.dc.aop.testing;

/**
 * Insert class comments here.
 * 
 * @author ruvankeirsbilck
 * @since 8-jul-2003 (16:37:56)
 * @version 1.0
 */

import java.util.*;

public aspect GraphicalElementObserver {
	private Vector GraphicalElement.observers = new Vector();

	static Vector getObserversOf (GraphicalElement graphicalElement) {
		return graphicalElement.observers;
	}

	public static void addObserver (GraphicalElement graphicalElement, Screen s) {
		System.out.println ("Getting observers for GraphicalElement:" + graphicalElement);
	    getObserversOf (graphicalElement).add (s);
	}

	public static void removeObserver (GraphicalElement graphicalElement, Screen s) {
	   getObserversOf (graphicalElement).remove (s);
	}

}
/* ******** MOVED TO GraphicalElementObserverAspect.java
aspect foo { 
	pointcut changes (GraphicalElement graphicalElement):
		target (graphicalElement) &&
		call (void set*(int));
	after (GraphicalElement graphicalElement): changes (graphicalElement) {
	   Iterator observerVisitor = getObserversOf (graphicalElement).iterator();
	   while (observerVisitor.hasNext ()) {
		  updateObserver (graphicalElement, (Screen) observerVisitor.next ());
	   }
	}

	private static void updateObserver (GraphicalElement graphicalElement, Screen s) {
        s.display (graphicalElement);
	}
}
 ******** END OF MOVED TO GraphicalElementObserverAspect.java
*/
